eurephiadm adminaccess(7)

NAME
eurephiadm-adminaccess - Access control for eurephia administration features

DESCRIPTION
The eurephiadm adminaccess is used to grant eurephia users access to the different administration modules in eurephia.

Available modes for the adminaccess command are:

-G | --grant
    Grant a specific access level to a user

-R | --revoke
    Revoke access levels

-l | --list
    List all granted accesses

-h | --help <mode> Help about a specific mode

LIST MODE
The list mode will show the granted user access levels

-i | --uid
    User account ID

-u | --username
    User name

-I | --interface
    Which interfaces to show (default "C")

-a | --access-level Which access level to show

GRANT MODE
The grant mode will grant a user access to a specified access level.

-i | --uid
    User account ID

-I | --interface
    Grant access through which interface (default "C")

-a | --access-level Which access level to grant access to

REVOKE MODE
The revoke mode will remove an access from the desired user accounts.

-i | --uid
    User account ID

-I | --interface
    Revoke access from interface (default "C")

-a | --access-level Which access level to revoke access from

ACCESS LEVELS

attempts
    This access level grants access to the eurephiadm attempts command. The attempts command can list, reset or delete login attempts records in the database.

blacklist
    This is similar to the attempts access. It provides access to the eurphiadm blacklist command, where you can list, add or delete blacklisted usernames, certificate digests or IP addresses.

certadmin
    This level is needed to use the eurephiadm certs command. This commands provides you access to list, add or delete certificate information which the eurephia plug-in will use during the authentication process.

config
    This level grants access to the eurephiadm config and eurephiadm show-config commands. The latter command will list out both the eurephiadm config file and all configuration parameters in the database. The config command is used to set or delete configuration parameters in the database.

fwprofiles
    This access level is needed to list, add or delete firewall profiles eurephia which may use.

useradmin
    This provides access to the eurephiadm users and eurephiadm usercerts commands, which is used to create or delete user accounts and link the user accounts together with a certificate and a firewall access profile.

SEE ALSO
eurephiadm(7)

AUTHOR
Copyright (C) 2008-2012 David Sommerseth <dazo@users.sourceforge.net>